<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Social Engineering|Campaigns">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="A campaign state describes the current status of a campaign." /><title>Campaign States</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#11-social-engineering/campaign-states.html">Open topic with navigation</a>
        </p>
        <h2>Campaign States</h2>
        <p>A <a name="kanchor151"></a>campaign state describes the current status of a campaign. At any given point in time, a campaign can be in one of the following states:</p>
        <ul>
            <li value="1"> <![CDATA[ ]]><b>Unconfigured </b>- The campaign does not contain any components.</li>
            <li value="2"><b>Preparing </b>- The campaign is getting ready to run.</li>
            <li value="3"><b>Launchable </b>- The campaign is ready to start.</li>
            <li value="4"><b>Running </b>- The campaign is online.</li>
        </ul>
        <p class="NoBulletListIndent">For campaigns that have a web page, this means that the web page is online and accessible to target machines that can reach the Metasploit instance.</p>
        <p class="NoBulletListIndent">For campaigns that contain an e-mail, this means that <span class="VariablesProductName">Metasploit Pro</span> has attempted to send the e-mail to the target list through your mail server.</p>
        <p class="NoBulletListIndent">For campaigns that contain portable files, this means that handler is ready and waiting for incoming connections from target machines.</p>
        <ul>
            <li value="1"><b>Finished </b>- The campaign is no longer active.</li>
        </ul>
        <p class="NoBulletListIndent">For campaigns that have a web page, this means that the web page is no longer accessible and cannot be viewed by anyone.</p>
        <p class="NoBulletListIndent">For campaigns that contain portable files, this means that the handler is no longer listening for incoming connections.</p>
    </body>
</html>